com.pixelmed.test

## Class TestNumericContentItemFloatingAndRational

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.pixelmed.test.TestNumericContentItemFloatingAndRational

All Implemented Interfaces:
  junit.framework.Test

    public class TestNumericContentItemFloatingAndRational
    extends junit.framework.TestCase

### Constructor Summary

Constructors
Constructor and Description
`TestNumericContentItemFloatingAndRational(java.lang.String name)`

### Method Summary

Methods
`protected void` `setUp()`
`static junit.framework.Test` `suite()`
`protected void` `tearDown()`
`void` `TestNumericContentItemFloatingAndRational_DoubleConstructor_MinimalSubNormal()`
`void` `TestNumericContentItemFloatingAndRational_DoubleConstructor_SubNormalAllMantissaBitsSet()`
`void` `TestNumericContentItemFloatingAndRational_FloatingFromAttributeListConstructor()`
`void` `TestNumericContentItemFloatingAndRational_FloatingFromDoubleConstructor()`
`void` `TestNumericContentItemFloatingAndRational_RationalAndFloatingFromDoubleConstructor()`
`void` `TestNumericContentItemFloatingAndRational_RationalAndFloatingFromDoubleConstructorDivideByZero()`
`void` `TestNumericContentItemFloatingAndRational_RationalFromAttributeListConstructor()`
`void` `TestNumericContentItemFloatingAndRational_StringOnlyConstructor()`
`void` `TestNumericContentItemFloatingAndRational_StringOnlyFromAttributeListConstructor()`

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TestNumericContentItemFloatingAndRational

    public TestNumericContentItemFloatingAndRational(java.lang.String name)

### Method Detail

#### suite

    public static junit.framework.Test suite()

#### setUp

    protected void setUp()

Overrides:
  `setUp` in class `junit.framework.TestCase`

#### tearDown

    protected void tearDown()

Overrides:
  `tearDown` in class `junit.framework.TestCase`

#### TestNumericContentItemFloatingAndRational_StringOnlyFromAttributeListConstructor

    public void TestNumericContentItemFloatingAndRational_StringOnlyFromAttributeListConstructor()
                                                                                          throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestNumericContentItemFloatingAndRational_FloatingFromAttributeListConstructor

    public void TestNumericContentItemFloatingAndRational_FloatingFromAttributeListConstructor()
                                                                                        throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestNumericContentItemFloatingAndRational_RationalFromAttributeListConstructor

    public void TestNumericContentItemFloatingAndRational_RationalFromAttributeListConstructor()
                                                                                        throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestNumericContentItemFloatingAndRational_StringOnlyConstructor

    public void TestNumericContentItemFloatingAndRational_StringOnlyConstructor()
                                                                         throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestNumericContentItemFloatingAndRational_FloatingFromDoubleConstructor

    public void TestNumericContentItemFloatingAndRational_FloatingFromDoubleConstructor()
                                                                                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestNumericContentItemFloatingAndRational_RationalAndFloatingFromDoubleConstructor

    public void TestNumericContentItemFloatingAndRational_RationalAndFloatingFromDoubleConstructor()
                                                                                            throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestNumericContentItemFloatingAndRational_RationalAndFloatingFromDoubleConstructorDivideByZero

    public void TestNumericContentItemFloatingAndRational_RationalAndFloatingFromDoubleConstructorDivideByZero()
                                                                                                        throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestNumericContentItemFloatingAndRational_DoubleConstructor_MinimalSubNormal

    public void TestNumericContentItemFloatingAndRational_DoubleConstructor_MinimalSubNormal()
                                                                                      throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestNumericContentItemFloatingAndRational_DoubleConstructor_SubNormalAllMantissaBitsSet

    public void TestNumericContentItemFloatingAndRational_DoubleConstructor_SubNormalAllMantissaBitsSet()
                                                                                                 throws java.lang.Exception

Throws:
  `java.lang.Exception`